Bug 1282227 - [abrt] dolphin: QXcbDrag::move(): dolphin killed by SIGSEGV
Summary: [abrt] dolphin: QXcbDrag::move(): dolphin killed by SIGSEGV
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dolphin   
(Show other bugs)
Version: 23
Hardware: i686 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3e066bebf94098457c90bd45742...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-15 16:52 UTC by Enrique Meléndez
Modified: 2016-12-20 15:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 15:55:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (74.20 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: cgroup (177 bytes, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: core_backtrace (22.88 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: dso_list (21.85 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: environ (1.86 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: maps (63.27 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: mountinfo (3.09 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: open_fds (13.97 KB, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: proc_pid_status (877 bytes, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details
File: var_log_messages (244 bytes, text/plain)
2015-11-15 16:53 UTC, Enrique Meléndez
no flags Details

Description Enrique Meléndez 2015-11-15 16:52:58 UTC
Description of problem:
In a drag and drop operation, when the mouse hits the taskbar.

Version-Release number of selected component:
dolphin-15.08.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/dolphin
crash_function: QXcbDrag::move
executable:     /usr/bin/dolphin
global_pid:     31614
kernel:         4.2.5-300.fc23.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbDrag::move at qxcbdrag.cpp:414
 #1 QBasicDrag::eventFilter at kernel/qsimpledrag.cpp:142
 #2 QCoreApplicationPrivate::sendThroughApplicationEventFilters at kernel/qcoreapplication.cpp:1053
 #3 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3692
 #4 QApplication::notify at kernel/qapplication.cpp:3500
 #5 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #6 QCoreApplication::sendSpontaneousEvent at ../../src/corelib/kernel/qcoreapplication.h:227
 #7 QGuiApplicationPrivate::processMouseEvent at kernel/qguiapplication.cpp:1790
 #8 QGuiApplicationPrivate::processWindowSystemEvent at kernel/qguiapplication.cpp:1582
 #9 QWindowSystemInterface::sendWindowSystemEvents at kernel/qwindowsysteminterface.cpp:608

Comment 1 Enrique Meléndez 2015-11-15 16:53:03 UTC
Created attachment 1094504 [details]
File: backtrace

Comment 2 Enrique Meléndez 2015-11-15 16:53:05 UTC
Created attachment 1094505 [details]
File: cgroup

Comment 3 Enrique Meléndez 2015-11-15 16:53:07 UTC
Created attachment 1094506 [details]
File: core_backtrace

Comment 4 Enrique Meléndez 2015-11-15 16:53:09 UTC
Created attachment 1094507 [details]
File: dso_list

Comment 5 Enrique Meléndez 2015-11-15 16:53:10 UTC
Created attachment 1094508 [details]
File: environ

Comment 6 Enrique Meléndez 2015-11-15 16:53:11 UTC
Created attachment 1094509 [details]
File: exploitable

Comment 7 Enrique Meléndez 2015-11-15 16:53:13 UTC
Created attachment 1094510 [details]
File: limits

Comment 8 Enrique Meléndez 2015-11-15 16:53:15 UTC
Created attachment 1094511 [details]
File: maps

Comment 9 Enrique Meléndez 2015-11-15 16:53:16 UTC
Created attachment 1094512 [details]
File: mountinfo

Comment 10 Enrique Meléndez 2015-11-15 16:53:17 UTC
Created attachment 1094513 [details]
File: namespaces

Comment 11 Enrique Meléndez 2015-11-15 16:53:19 UTC
Created attachment 1094514 [details]
File: open_fds

Comment 12 Enrique Meléndez 2015-11-15 16:53:20 UTC
Created attachment 1094515 [details]
File: proc_pid_status

Comment 13 Enrique Meléndez 2015-11-15 16:53:21 UTC
Created attachment 1094516 [details]
File: var_log_messages

Comment 14 Enrique Meléndez 2016-01-08 13:15:04 UTC
Another user experienced a similar problem:

In a drag-drop, when hitting the desktop task manager. I have he task manager hidden, and expect it to pop up when the mouse reaches the lower edge of the screen. If I hit the edge in a drag-drop operation, either the program crashes or the icon freezes in 'not allowed to drop' 

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/dolphin
crash_function: QXcbDrag::move
executable:     /usr/bin/dolphin
global_pid:     16549
kernel:         4.2.8-300.fc23.i686+PAE
package:        dolphin-15.08.1-1.fc23
reason:         dolphin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2016-11-24 13:26:58 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2016-12-20 15:55:57 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.